#ifndef MATCHER_H
#define MATCHER_H

#include <QtGui/QDialog>
#include "ui_matcherdialog.h"
#include "g12buffer.h"
#include "signatures.h"
#include "flow.h"
#include "viflow.h"


class MatcherDialog : public QDialog
{
    Q_OBJECT

public slots:
    void buffersChangedSlot(G12Buffer *buffer1, G12Buffer *buffer2);

	/* Process the child repainting */
	void repaintChild(QPaintEvent *event, QWidget *who);
	void mouseChild(QMouseEvent *event);

	/*Process the text change*/
	void sDevLowChanged(int value);
	void sDevHighChanged(int value);
	void epsLowChanged(int value);
	void epsHighChanged(int value);


	void notifyRecalculate(void);
signals:
	void corrListChanged(Correspondance *corr, int coornumber);


public:
    MatcherDialog(QWidget *parent = 0);
    ~MatcherDialog();

private:
    Ui::MatcherClass ui;

    G12Buffer *buffer1;
    G12Buffer *buffer2;

    FlowBuffer *flow;
    SignatureParameters sParam;
    Correspondance *corrList;
    int corrNumber;

};

#endif // MATCHER_H
